# Create a company address

**POST** `/addresses`

## Request body

**application/json**

_Schema ref:_ `#/components/schemas/CreateAddressBody` (CreateAddressBody)

```json
{
  "type": "object",
  "properties": {
    "first_name": {
      "type": "string",
      "minLength": 1
    },
    "last_name": {
      "type": "string",
      "minLength": 1
    },
    "phone": {
      "type": "string",
      "minLength": 1
    },
    "phone_country": {
      "type": "string",
      "minLength": 1
    },
    "address1": {
      "type": "string",
      "minLength": 1,
      "maxLength": 70
    },
    "address2": {
      "type": "string",
      "maxLength": 70
    },
    "type": {
      "type": "string"
    },
    "zip": {
      "type": "string",
      "minLength": 1
    },
    "city": {
      "type": "string",
      "minLength": 1
    },
    "country": {
      "type": "string",
      "default": "FR",
      "description": "ISO 3166-1 alpha-2 country code",
      "example": "FR"
    },
    "label": {
      "type": "string",
      "minLength": 1
    },
    "comment": {
      "type": "string"
    },
    "is_default": {
      "type": "boolean",
      "default": false
    }
  },
  "required": [
    "first_name",
    "last_name",
    "phone",
    "phone_country",
    "address1",
    "zip",
    "city",
    "label"
  ]
}
```

## Responses

### 201

Created address

**application/json**

_Schema ref:_ `#/components/schemas/GetAddressResponse` (GetAddressResponse)

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "id": {
          "type": "integer"
        },
        "first_name": {
          "type": "string",
          "nullable": true
        },
        "last_name": {
          "type": "string",
          "nullable": true
        },
        "phone": {
          "type": "string",
          "nullable": true
        },
        "phone_country": {
          "type": "string",
          "nullable": true
        },
        "address1": {
          "type": "string",
          "nullable": true
        },
        "address2": {
          "type": "string",
          "nullable": true
        },
        "type": {
          "type": "string",
          "nullable": true
        },
        "zip": {
          "type": "string",
          "nullable": true
        },
        "city": {
          "type": "string",
          "nullable": true
        },
        "country": {
          "type": "string",
          "nullable": true,
          "description": "ISO 3166-1 alpha-2 country code",
          "example": "FR"
        },
        "label": {
          "type": "string",
          "nullable": true
        },
        "comment": {
          "type": "string",
          "nullable": true
        },
        "is_default": {
          "type": "boolean"
        },
        "is_hq": {
          "type": "boolean"
        }
      },
      "required": [
        "id",
        "first_name",
        "last_name",
        "phone",
        "phone_country",
        "address1",
        "address2",
        "type",
        "zip",
        "city",
        "country",
        "label",
        "comment",
        "is_default",
        "is_hq"
      ]
    }
  },
  "required": [
    "data"
  ]
}
```

### 400

Validation error

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ]
}
```

### 403

Forbidden

**application/json**

_Schema ref:_ `#/components/schemas/AddressWriteForbiddenErrorResponse` (AddressWriteForbiddenErrorResponse)

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "enum": [
        "INSUFFICIENT_SCOPE"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

### 404

Resource not found

**application/json**

_Schema ref:_ `#/components/schemas/CreateAddressNotFoundErrorResponse` (CreateAddressNotFoundErrorResponse)

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "enum": [
        "COMPANY_NOT_FOUND",
        "DELIVERY_COUNTRY_NOT_FOUND"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

### 500

Internal server error

**application/json**

_Schema ref:_ `#/components/schemas/AddressInternalErrorResponse` (AddressInternalErrorResponse)

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "enum": [
        "INTERNAL_ERROR"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

## Security

```json
[
  {
    "bearerAuth": []
  }
]
```

**bearerAuth:** Bearer token using a Fleet platform API key (flt_sk_…).

---

_Generated from the OpenAPI specification for raw Markdown / tooling use._
